# Summary

- [Introduction](introduction.md)

# Getting started

- [Installing uv](installation.md)
- [First steps](first-steps.md)

# Basic concepts

- [Python environments](pip/environments.md)
- [Managing packages](pip/packages.md)
- [Inspecting packages](pip/inspection.md)
- [Declaring dependencies](pip/dependencies.md)
- [Locking environments](pip/compile.md)

# Advanced concepts

- [Python discovery](python/discovery.md)
- [Resolution](resolution.md)
- [Caching](cache.md)
- [Authentication](configuration/authentication.md)

# Configuration

- [Configuration files](configuration/files.md)
- [Environment variables](configuration/environment.md)

# Integration guides

- [Using in Docker](guides/docker.md)
- [Using in GitHub Actions](guides/github.md)
- [Using in pre-commit](guides/pre-commit.md)

# Preview features

- [Introduction](preview/introduction.md)
- [Projects](preview/projects.md)
- [Dependency specification](preview/dependencies.md)
- [Workspaces](preview/workspaces.md)
- [Command-line tools](preview/tools.md)
- [Python toolchains](preview/toolchains.md)

# Policies

- [Versioning](versioning.md)
- [Platform support](platforms.md)
- [Compatibility with pip](pip/compatibility.md)
